// Generated by gencpp from file move_to_grab/LoopMoveToGrabMsg.msg
// DO NOT EDIT!


#ifndef MOVE_TO_GRAB_MESSAGE_LOOPMOVETOGRABMSG_H
#define MOVE_TO_GRAB_MESSAGE_LOOPMOVETOGRABMSG_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <std_msgs/Bool.h>
#include <move_to_grab/MoveToGrabMsg.h>
#include <move_to_grab/MoveToGrabMsg.h>

namespace move_to_grab
{
template <class ContainerAllocator>
struct LoopMoveToGrabMsg_
{
  typedef LoopMoveToGrabMsg_<ContainerAllocator> Type;

  LoopMoveToGrabMsg_()
    : isLoop()
    , action1()
    , action2()  {
    }
  LoopMoveToGrabMsg_(const ContainerAllocator& _alloc)
    : isLoop(_alloc)
    , action1(_alloc)
    , action2(_alloc)  {
  (void)_alloc;
    }



   typedef  ::std_msgs::Bool_<ContainerAllocator>  _isLoop_type;
  _isLoop_type isLoop;

   typedef  ::move_to_grab::MoveToGrabMsg_<ContainerAllocator>  _action1_type;
  _action1_type action1;

   typedef  ::move_to_grab::MoveToGrabMsg_<ContainerAllocator>  _action2_type;
  _action2_type action2;





  typedef boost::shared_ptr< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> const> ConstPtr;

}; // struct LoopMoveToGrabMsg_

typedef ::move_to_grab::LoopMoveToGrabMsg_<std::allocator<void> > LoopMoveToGrabMsg;

typedef boost::shared_ptr< ::move_to_grab::LoopMoveToGrabMsg > LoopMoveToGrabMsgPtr;
typedef boost::shared_ptr< ::move_to_grab::LoopMoveToGrabMsg const> LoopMoveToGrabMsgConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace move_to_grab

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'geometry_msgs': ['/opt/ros/kinetic/share/geometry_msgs/cmake/../msg'], 'std_msgs': ['/opt/ros/kinetic/share/std_msgs/cmake/../msg'], 'move_to_grab': ['/home/eaibot/2022_jsjds/dashgo_ws/src/dashgo/rviz/move_to_grab/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "8c0bfa85506ab2b9a3042cb471990b35";
  }

  static const char* value(const ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x8c0bfa85506ab2b9ULL;
  static const uint64_t static_value2 = 0xa3042cb471990b35ULL;
};

template<class ContainerAllocator>
struct DataType< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "move_to_grab/LoopMoveToGrabMsg";
  }

  static const char* value(const ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "std_msgs/Bool isLoop\n\
move_to_grab/MoveToGrabMsg action1\n\
move_to_grab/MoveToGrabMsg action2\n\
\n\
================================================================================\n\
MSG: std_msgs/Bool\n\
bool data\n\
================================================================================\n\
MSG: move_to_grab/MoveToGrabMsg\n\
geometry_msgs/PoseStamped pose\n\
std_msgs/Bool isSuckup\n\
# std_msgs/Float32 backDistance \n\
\n\
================================================================================\n\
MSG: geometry_msgs/PoseStamped\n\
# A Pose with reference coordinate frame and timestamp\n\
Header header\n\
Pose pose\n\
\n\
================================================================================\n\
MSG: std_msgs/Header\n\
# Standard metadata for higher-level stamped data types.\n\
# This is generally used to communicate timestamped data \n\
# in a particular coordinate frame.\n\
# \n\
# sequence ID: consecutively increasing ID \n\
uint32 seq\n\
#Two-integer timestamp that is expressed as:\n\
# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')\n\
# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')\n\
# time-handling sugar is provided by the client library\n\
time stamp\n\
#Frame this data is associated with\n\
# 0: no frame\n\
# 1: global frame\n\
string frame_id\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Pose\n\
# A representation of pose in free space, composed of position and orientation. \n\
Point position\n\
Quaternion orientation\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Point\n\
# This contains the position of a point in free space\n\
float64 x\n\
float64 y\n\
float64 z\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Quaternion\n\
# This represents an orientation in free space in quaternion form.\n\
\n\
float64 x\n\
float64 y\n\
float64 z\n\
float64 w\n\
";
  }

  static const char* value(const ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.isLoop);
      stream.next(m.action1);
      stream.next(m.action2);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct LoopMoveToGrabMsg_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::move_to_grab::LoopMoveToGrabMsg_<ContainerAllocator>& v)
  {
    s << indent << "isLoop: ";
    s << std::endl;
    Printer< ::std_msgs::Bool_<ContainerAllocator> >::stream(s, indent + "  ", v.isLoop);
    s << indent << "action1: ";
    s << std::endl;
    Printer< ::move_to_grab::MoveToGrabMsg_<ContainerAllocator> >::stream(s, indent + "  ", v.action1);
    s << indent << "action2: ";
    s << std::endl;
    Printer< ::move_to_grab::MoveToGrabMsg_<ContainerAllocator> >::stream(s, indent + "  ", v.action2);
  }
};

} // namespace message_operations
} // namespace ros

#endif // MOVE_TO_GRAB_MESSAGE_LOOPMOVETOGRABMSG_H
